Go to the latest version of this document.

# ``twisted`.`protocols`.`haproxy`.`_parser``

module documentation
(source)

Parser for 'haproxy:' string endpoint.

Class | `HAProxyServerParser` | Stream server endpoint string parser for the HAProxyServerEndpoint type.
Function | `unparseEndpoint` | Un-parse the already-parsed args and kwargs back into endpoint syntax.

def unparseEndpoint(args: `tuple[object, ...]`, kwargs: `Mapping[str, object]`) -> `str`: (source)

Un-parse the already-parsed args and kwargs back into endpoint syntax.

Parameters
args:`tuple[object, ...]` | `:`-separated arguments
kwargs:`Mapping[str, object]` | `:` and then `=`-separated keyword arguments

Returns
`str` | a string equivalent to the original format which this was parsed as.